﻿Public Class U_Graph


    Private Sub Graph_Resize(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Resize
        SetSize()
    End Sub

    ' SetSize() is separate from Resize() so we can 

    ' call it independently from the Form1_Load() method

    ' This leaves a 10 px margin around the outside of the control

    ' Customize this to fit your needs

    Private Sub SetSize()
        ZedGraphControl1.Location = New Point(10, 10)
        ' Leave a small margin around the outside of the control

        ZedGraphControl1.Size = New Size(ClientRectangle.Width - 20, ClientRectangle.Height - 20)
    End Sub


    ' Build the Chart

    Sub CreateGraph(ByVal z1 As ZedGraph.ZedGraphControl, ByVal werte As ArrayList, ByVal time_werte As ArrayList)

        Dim myPane As ZedGraph.GraphPane = z1.GraphPane

        myPane.Title.Text = "Ausgangsspannung"
        myPane.XAxis.Title.Text = "t in s"
        myPane.YAxis.Title.Text = "U in Volt"
        myPane.Legend.IsVisible = False
        myPane.XAxis.MajorGrid.IsVisible = True
        myPane.YAxis.MajorGrid.IsVisible = True
        myPane.XAxis.MajorGrid.Color = Color.LightGray
        myPane.YAxis.MajorGrid.Color = Color.LightGray


        Dim list As New ZedGraph.PointPairList()
        Dim rand As New Random()
        Dim x As Double = 0
        Dim y As Double = 0
        Dim z As Double = 0
        Dim i As Integer = 0


        For i = 0 To time_werte.Count - 1
            list.Add(time_werte(i), werte(i))
        Next



        Dim myCurve As ZedGraph.LineItem

        myCurve = myPane.AddCurve("Spannungsverlauf", list, Color.Black)
        myCurve.Symbol.Size = 2.0F

        z1.AxisChange()
        z1.Refresh()
    End Sub

End Class